Bug 464127 - (CVE-2008-4242) CVE-2008-4242 proftpd CSRF attack
CVE-2008-4242 proftpd CSRF attack
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=CVE,reported=2...
: Security
Depends On: 464128 464129 464130 464131 464132
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 08:59 EDT by Josh Bressers
Modified: 2016-03-04 06:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 13:10:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-09-26 08:59:47 EDT
ProFTPD 1.3.1 interprets long commands from an FTP client as multiple
commands, which allows remote attackers to conduct cross-site request
forgery (CSRF) attacks and execute arbitrary FTP commands via a long
ftp:// URI that leverages an existing session from the FTP client
implementation in a web browser.

Reference:
CONFIRM:http://bugs.proftpd.org/show_bug.cgi?id=3115
Reference: BID:31289
Reference: URL:http://www.securityfocus.com/bid/31289
Reference: SECUNIA:31930
Reference: URL:http://secunia.com/advisories/31930
Reference: XF:proftpd-url-csrf(45274)
Reference: URL:http://xforce.iss.net/xforce/xfdb/45274
Comment 2 Tomas Hoger 2008-10-20 03:54:41 EDT
Upstream patches (as linked in upstream bug report referenced above):
http://bugs.proftpd.org/attachment.cgi?id=2871&action=view

Simple PoC available in Debian BTS:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502674#5

$  perl -e 'print "A"x1022,"QUIT\n"' | nc localhost 21
Comment 3 Fedora Update System 2009-01-07 04:12:41 EST
proftpd-1.3.1-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-01-07 04:16:00 EST
proftpd-1.3.1-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-01-07 04:31:09 EST
proftpd-1.3.1-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Matthias Saou 2009-01-08 13:10:51 EST
All packages have been pushed to the stable updates, so closing.

Note You need to log in before you can comment on or make changes to this bug.